Bug 7698 - Add ICU option to Koha out of the box
Summary: Add ICU option to Koha out of the box
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Frédéric Demians
QA Contact: Ian Walls
URL:
Keywords:
Depends on:
Blocks: 3216
  Show dependency treegraph
 
Reported: 2012-03-10 18:52 UTC by Jared Camins-Esakov
Modified: 2013-12-05 20:01 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 7698: Add CHR/ICU Zebra tokenization choice to installation (5.96 KB, patch)
2012-03-10 19:02 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jared Camins-Esakov 2012-03-10 18:52:23 UTC
Word search with multi-part facets works properly only with Zebra ICU
tokenization. This patch add a new question to Koha command line
installer:

  Zebra has two methods to perform records tokenization
  and characters normalization: CHR and ICU. ICU is
  recommended for catalogs containing non-Latin
  characters. (chr, icu) [chr]

How to test:

  - perl ./Makefile.PL
  - Try each possible value for new parameter
  - Take a look at zebradb/etc/default.idx file.
    Depending of the parameter you get this line:
      icuchain words-icu.xml
    or this one:
      charmap word-phrase-utf.chr

(copied from bug 3216)
Comment 1 Jared Camins-Esakov 2012-03-10 19:02:18 UTC
Created attachment 8150 [details] [review]
Bug 7698: Add CHR/ICU Zebra tokenization choice to installation

Word search with multi-part facets works properly only with Zebra ICU
tokenization. This patch add a new question to Koha command line
installer:

  Zebra has two methods to perform records tokenization
  and characters normalization: CHR and ICU. ICU is
  recommended for catalogs containing non-Latin
  characters. (chr, icu) [chr]

How to test:

  - perl ./Makefile.PL
  - Try each possible value for new parameter
  - Take a look at zebradb/etc/default.idx file.
    Depending of the parameter you get this line:
      icuchain words-icu.xml
    or this one:
      charmap word-phrase-utf.chr

Signed-off-by: Jared Camins-Esakov <jcamins@cpbibliography.com>
(Note: This patch was previously associated with bug 3216; I moved it to a
separate bug because including ICU is a good idea independent of the fix for
the particular issue described in bug 3216)
Comment 2 Ian Walls 2012-03-12 10:22:17 UTC
Adds the ZEBRA_TOKENIZER option to the Makefile, and properly passes it about on make.  New ICU chain XML file is the standard most of us have been using for the last few years, only with a blank locale attribute in the root element (better for l10n than any default value).

Glad to have this as an official option now.  Marking as Passed QA.
Comment 3 Jared Camins-Esakov 2012-12-03 13:30:59 UTC
This is now available on Master.